## ros-melodic-radial-menu 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(radial_menu)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-radial-menu (0.4.1-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Wed, 26 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu (0.4.0-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 15 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu (0.3.4-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Thu, 13 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu (0.3.3-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 08 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu (0.3.2-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Fri, 07 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu (0.3.1-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Wed, 05 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu (0.3.0-1bionic) bionic; urgency=high

  * Add the radial_menu_model package handling menu item tree model common between backend and frontend

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sun, 02 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu (0.2.0-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 25 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu (0.1.4-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 25 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu (0.1.3-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Thu, 23 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu (0.1.2-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Thu, 23 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu (0.1.1-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Wed, 22 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu (0.1.0-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Wed, 22 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu (0.0.4-1bionic) bionic; urgency=high

  * Change package name from radial_menu_ros to radial_menu because _ros is obvious

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu (0.0.3-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sun, 19 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu (0.0.2-1bionic) bionic; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 18 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu (0.0.1-1bionic) bionic; urgency=high

  * Initial version
  * Looks working on melodic and kinetic
  * Contributors: Yoshito Okada

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Thu, 16 Jul 2020 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-radial-menu
Section: misc
Priority: optional
Maintainer: Yoshito Okada <okada@rm.is.tohoku.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-radial-menu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-radial-menu-backend, ros-melodic-radial-menu-model, ros-melodic-radial-menu-msgs, ros-melodic-radial-menu-rviz
Description: The radial_menu package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-radial-menu//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
